Subject: bug#30992: Acknowledgement (27.0.50; Crash when graphics card switches)

From: Peter Dyballa <[email-masked]>
Date: Fri, 13 Apr 2018 21:57:22 +0200

> Am 13.4.2018 um 20:14 schrieb Alan Third <[email-masked]>:
> 
> I think it’s because Apple have made a number of
> incompatible changes to their implementation of Objective‐C that
> haven’t been replicated in GCC.

I think the last version of GCC that could compile the NS variant was 4.2.1 (4.2.4 in the MacPorts package manager), "Apple augmented" to also be able to build those typical application bundles. And of course it was then the C compiler in Xcode. This was ten years ago, in 2007/2008. Xcode 3.2 from this time was the last release to rely completely on GCC, but also offered a version of LLVM-GCC. Xcode 4.0 from 2011 came with LLVM-GCC plus Clang, and an update to Xcode 4.2 came with ARC, Automatic Reference Counting. (Needed at least Mac OS X 10.7, Lion?) And I think Xcode 4 was available in Mac App Store for some money only…

I did not upgrade to Lion and newer versions for many years (I stayed with Leopard, Mac OS X 10.5.8, until last Christmas) and I still have some old configure logs. GCC 4.8, 5.3, and 6.x could successfully check AppKit.h usable (GNU Emacs 25.0.90/95), but they later failed with different errors; February and June 2016.

—

Greetings

  Pete

Upgraded, adj.:
	Didn't work the first time.